from dependency_injector.wiring import Provide, inject
from fastapi import Depends

from container import Container
from services.healthcheck import HealthCheck


@inject
def check_health_inject(
    health_check: HealthCheck = Depends(Provide[Container.health_check_service]),
) -> HealthCheck:
    """
    Func for get HealthCheck instance

    Args:
        health_check (HealthCheck): Instance of HealthCheck class.

    Returns:
        HealthCheck: HealthCheck class
    """
    return health_check
